;MASTER.GEO - Ergastirio HA - 2021
;-------------------------------------------
;	ARXEIO OPOU ORIZETAI DIANUSMATIKA
; 	H GEOMETRIA TOY XOROY
;-------------------------------------------

;constant declarations
GLOBAL h  =  3.1	;hall height
GLOBAL w  =  10.17	;hall width
GLOBAL d  = 14.16	;hall depth


;aborption and diffusion factors 125Hz to 4kHz [%]
ABS mat_abs   = <16 15 15 15 15 14 >
ABS tsimento   = <3 3 3 3 3 3 >			;	ORISMOS SUNTELESTON APOROFISIS GIA ULIKA
						;	POU DEN UPARXOUN STIN VIVLIO8IKI

CORNERS
;floor corners					;	ORISMOS SHMEION TOU XOROU (AKMES)
 1	w/2		d	0		;	SE KARTESIANES SUNTETAGMENES X-Y-Z
 2	w/2		0	0		;	----------------------------------
 3	-w/2		0	0		;	TO KENTRO TON AKSONON KALO EINAI NA ORIZETAI
 4	-w/2		d	0		;	STO PISO MEROS TIS SKINIS
	
;ceiling corners
11	x(1)	y(1)	h
12	x(2)	y(2)	h
13	x(3)	y(3)	h
14	x(4)	y(4)	h

;window
loop(21, q1, 0,11,1,x(4),y(4)-q1*1.35-0.15,z(4))
loop(111,q2,0,11,1,x(4),y(4)-q2*1.35-0.15,z(14))
loop(211,q3,0,11,1,x(21),y(21)-q3*1.35-0.05,z(14)-2.05)
loop(311,q4,0,11,1,x(21),y(21)-(q4+1)*1.35+0.05,z(14)-2.05)
loop(411,q5,0,11,1,x(4),y(21)-q5*1.35-0.05,z(14)-0.05)
loop(511,q6,0,11,1,x(4),y(21)-(q6+1)*1.35+0.05,z(14)-0.05)

;Left_door
201	x(2)	y(2)+0.5+1.94	0
202	x(2)	y(2)+0.5+1.94	2.15
203	x(2)	y(2)+0.5		2.15
204	x(2)	y(2)+0.5		0
;Left_door2
205	x(1)	y(1)-1		0
206	x(1)	y(1)-1		2.15
207	x(1)	y(1)-1-0.95	2.15	
208	x(1)	y(1)-1-0.95	0





;------------------------------------------------
;	ORISMOS EPIPEDON TOU XOROU
;
;	OI EPIFANEIES ORIZONTAI DIANISMATIKA
;	ME TON KANONA TOU DEKSIOU XERIOU
;------------------------------------------------

PLANES
[1 floor \ 1 2 3 4  \ RUBBER_FLOOR  ] 
[2 ceiling / 11 12 13 14 / GYPSUM_DBL   ] 
[3 front wall /2 3 13 12/ BRICK_WALL8  ]
[4 left wall /1 2 12 11/ 
     (Left_door /201 202 203 204/ WOODEN_DOOR)  
     (Left_door2 /205 206 207 208/ WOODEN_DOOR) 
     (Left wall /1 2 12 11/tsimento) 
 ]
;[5 right wall /3 4 14 13/ BRICK_WALL2] 
[5 right wall /3 4 14 13/  
   (window1  /211 311 511 411 / WINDOW1) 
(window2  /212 312 512 412 / WINDOW1) 
(window3  /213 313 513 413 / WINDOW1) 
(window4  /214 314 514 414 / WINDOW1) 
(window5  /215 315 515 415 / WINDOW1) 
(window6  /216 316 516 416 / WINDOW1) 
(window7  /217 317 517 417 / WINDOW1) 
(window8  /218 318 518 418 / WINDOW1) 
(window9  /219 319 519 419 / WINDOW1) 
   (Right wall /3 4 14 13 / BRICK_WALL2) 
]
[15 back wall /1 11 14 4/ BRICK_WALL5 ]

		
